%define section free

Summary:        Reusable Framework/Utils
Name:           ccl-util
Version:        32.69
Release:        1jpp
Epoch:          0
License:        GPL
URL:            http://www.kclee.de/clemens/java/ccl/
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.kclee.de/clemens/java/ccl/ccl32.69.zip
Patch0:         ccl-build_xml.patch
Patch1:         ccl-MainTest.patch
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  gif89encoder
BuildRequires:  javahelp
BuildRequires:  junit
BuildRequires:  pell-multipart
BuildRequires:  servletapi4
Requires:  gif89encoder
Requires:  pell-multipart
Requires:  servletapi4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Features
* Basic GUI/Swing application framework and utility classes
* Additional string methods
* Vector methods
* File methods
* Debug and assertion support
* Test framework

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.


%prep
%setup -q -n ccl%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav

%build
pushd lib
ln -sf $(build-classpath gif89encoder) .
ln -sf $(build-classpath javahelp) jhbasic.jar
ln -sf $(build-classpath junit) ccljunit.jar
ln -sf $(build-classpath pell-multipart) multipartrequest.jar
ln -sf $(build-classpath servletapi4) servlet.jar
popd
ant 
pushd classes
jar cf ../lib/ccl.jar *
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p lib/ccl.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -rf doc/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p README.TXT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/README.TXT
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Wed Oct 19 2005 Ralph Apel <r.apel at r-apel.de> - 0:32.69-1jpp
- First JPackage build
